org.apache.lucene.luke.models

## Class LukeModel

- java.lang.Object
- - org.apache.lucene.luke.models.LukeModel

- Direct Known Subclasses:
    CommitsImpl, DocumentsImpl, IndexToolsImpl, OverviewImpl, SearchImpl

      public abstract class LukeModel
      extends Object

  Abstract model class. It holds index reader object and provides basic features for all concrete sub classes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IndexCommit` | `commit`
    `protected Directory` | `dir`
    `protected Bits` | `liveDocs`
    `protected IndexReader` | `reader`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LukeModel(Directory dir)`
    `protected` | `LukeModel(IndexReader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getFieldNames()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dir

          protected Directory dir

    - #### reader

          protected IndexReader reader

    - #### liveDocs

          protected Bits liveDocs

    - #### commit

          protected IndexCommit commit

  - ### Constructor Detail

    - #### LukeModel

          protected LukeModel(IndexReader reader)

    - #### LukeModel

          protected LukeModel(Directory dir)

  - ### Method Detail

    - #### getFieldNames

          public Collection<String> getFieldNames()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.